import { useWidgetContext } from '../context';
import { SESSION_LIST_SIZE } from '../consts';
import { useFetchSessions } from './useFetchSessions';
var buildLuceneQuery = function (options, scopeId) {
    var baseQuery = '(+ogit\\/_type:"ogit/Knowledge/AcquisitionSession")';
    var optionsQuery = options.join(' ');
    var querystring = baseQuery + " AND (" + optionsQuery + ") AND (+ogit\\/_scope:\"" + scopeId + "\")";
    return {
        querystring: querystring,
        params: { limit: SESSION_LIST_SIZE, order: 'ogit/_modified-on desc' },
    };
};
export var useSessionsData = function (handleSession, getQueryOptions) {
    var _a = useWidgetContext(), title = _a.config.title, _b = _a.provider, selectAppsIds = _b.selectAppsIds, openApp = _b.openApp, selectMe = _b.selectMe, selectScopeId = _b.selectScopeId;
    var scopeId = selectScopeId();
    var atqId = selectAppsIds().atqId;
    var goToAction = function () { return openApp(atqId, {}); };
    var me = selectMe();
    var query = buildLuceneQuery(getQueryOptions(me.id), scopeId);
    var _c = useFetchSessions(query, handleSession), sessions = _c.sessions, loading = _c.loading, error = _c.error;
    return {
        title: title,
        sessions: sessions,
        loading: loading,
        error: error,
        goToAction: goToAction,
    };
};
